Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"5ec9b693-6c64-4849-8c1f-3c708fb0e0da","userId":"fc02c4a4-a77e-4417-be25-f85cff98be93","departmentId":"701c2aef-0914-4be3-8e28-d2ce1a7baea4","areaDepartmentId":"1acd4041-98f9-4355-ae3e-4329d0fd6bd2","serviceFormFillingId":"01c46f3d-7d83-4be0-81a6-516dce1ef173","creationDateTime":"2026-10-09T22:38:42.9865663+00:00","lastModifiedDateTime":"2026-10-09T22:38:42.9865663+00:00"},{"id":"56df77e0-7617-4cfe-8357-390fd73faae0","userId":"bcddae90-b20c-4750-b8fa-3e367fdac9d1","departmentId":"20423b8d-6f9f-4331-89ef-56a4f341ef71","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-10-08T22:38:42.9865663+00:00","lastModifiedDateTime":"2026-10-09T22:38:42.9865663+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string